gr::baz::usrp_acquire Class Reference

<+description+> More...

`#include <baz_usrp_acquire.h>`

## Public Types

typedef boost::shared_ptr< usrp_acquire > | sptr

## Public Member Functions

| usrp_acquire (::uhd::usrp::multi_usrp::sptr dev, const ::uhd::stream_args_t &stream_args)
| ~usrp_acquire ()
std::vector< size_t > | finite_acquisition_v (const size_t nsamps, bool stream_now=true, double delay=0.0, size_t skip=0, double timeout=1.0, bool loop=false)
void | set_gpio_attr (const std::string &bank, const std::string &attr, const boost::uint32_t value, const boost::uint32_t mask, const size_t mboard=0)
void | reset (void)
size_t | flush (void)

## Static Public Member Functions

static sptr | make (::uhd::usrp::multi_usrp::sptr dev, const ::uhd::stream_args_t &stream_args)
static sptr | make_from_source (::gr::basic_block_sptr source, const ::uhd::stream_args_t &stream_args)

## Detailed Description

<+description+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<usrp_acquire> gr::baz::usrp_acquire::sptr

## Constructor & Destructor Documentation

## usrp_acquire()

gr::baz::usrp_acquire::usrp_acquire | ( | ::uhd::usrp::multi_usrp::sptr | dev,
|  | const ::uhd::stream_args_t & | stream_args
| ) |  |

## ~usrp_acquire()

gr::baz::usrp_acquire::~usrp_acquire | ( |  | ) |

## Member Function Documentation

## finite_acquisition_v()

std::vector< size_t > gr::baz::usrp_acquire::finite_acquisition_v | ( | const size_t | nsamps,
|  | bool | stream_now = `true`,
|  | double | delay = `0.0`,
|  | size_t | skip = `0`,
|  | double | timeout = `1.0`,
|  | bool | loop = `false`
| ) |  |

## flush()

size_t gr::baz::usrp_acquire::flush | ( | void |  | ) |

## make()

static sptr gr::baz::usrp_acquire::make | ( | ::uhd::usrp::multi_usrp::sptr | dev,
|  | const ::uhd::stream_args_t & | stream_args
| ) |  |

static

## make_from_source()

static sptr gr::baz::usrp_acquire::make_from_source | ( | ::gr::basic_block_sptr | source,
|  | const ::uhd::stream_args_t & | stream_args
| ) |  |

static

## reset()

void gr::baz::usrp_acquire::reset | ( | void |  | ) |

## set_gpio_attr()

void gr::baz::usrp_acquire::set_gpio_attr | ( | const std::string & | bank,
|  | const std::string & | attr,
|  | const boost::uint32_t | value,
|  | const boost::uint32_t | mask,
|  | const size_t | mboard = `0`
| ) |  |

The documentation for this class was generated from the following file:

- baz_usrp_acquire.h